%define aurox_ver 10.2
%define rel 1

Summary: Support for Czech interface in Mozilla
Name: mozilla-i18n-Czech
Version: 1.7.5
Release: %{aurox_ver}.aur.%{rel}
License: MPL
URL: http://www.czilla.cz/
#Source: http://ftp.mozilla.org/pub/mozilla/l10n/lang/moz1.4/langcscz.xpi
#Source: http://ftp.czilla.cz/mozilla/%{version}/linux-xpi/langcscz.xpi
#Source: ftp://ftp.czilla.cz/mozilla.org/mozilla/%{version}/lang/langcscz.xpi
Source: http://ftp.mozilla.org/pub/mozilla.org/mozilla/l10n/lang/moz1.75/mozilla-1.7.5.cs-CZ.langpack.xpi
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
Requires: mozilla >= %{version}
BuildPreReq: unzip

%description
Czech translation of the Mozilla interface from czilla.cz

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}

%build
mylocale=cs-CZ
grep 'registerChrome(' install.js | grep -v platform | grep -v mapi | awk '{print $6}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/cs-CZ.jar!/locale/cs-CZ/",$1,"/"}' > lang-$mylocale.jar.txt
grep 'registerChrome(' install.js | grep platform | awk '{print $6}' | sed 's/"//g;s#/);##g' | sort --unique | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/cs-CZ-unix.jar!/locale/cs-CZ/",$1,"/"}' > lang-$mylocale-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
mylocale=cs-CZ
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang
cp -f bin/chrome/cs-CZ.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylocale.jar
cp -f bin/chrome/cs-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylocale-unix.jar
cp -f lang-$mylocale.jar.txt lang-$mylocale-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-%{version}/chrome/*.jar
/usr/lib/mozilla-%{version}/chrome/lang/*.txt
#/usr/lib/mozilla-i18n-%{version}/*

%changelog
* Wed Feb 09 2005 Aurox Team <aurox@aurox.org> 0:1.7.5-10.2.aur.1


* Mon Sep 27 2004 Aurox Team <aurox@aurox.org> 0:1.7.3-10.1.aur.1
- update to 1.7.3

* Mon Aug 04 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.1
- Update to Mozilla 1.4 final

* Thu Jun 26 2003 Robert Glowczynski <robertg@software.com.pl> 1.4-9.1.aur.0.2
- Update to Mozilla 1.4RC2

* Thu Feb 13 2003 Robert Glowczynski <robertg@software.com.pl>
- Update to Mozilla 1.2.1

* Mon Oct 14 2002 Robert Główczyński <robertg@software.com.pl>
- Initial build for Aurox Linux (default labels modified)

